=== debian/changelog ===
sugar-firefox-activity (6+dfsg-0ubuntu2) maverick; urgency=low

  * Clarify licensing situation for package. 

 -- Luke Faraone <lfaraone@ubuntu.com>  Fri, 01 Oct 2010 10:17:16 -0400

sugar-firefox-activity (6+dfsg-0ubuntu1) maverick; urgency=low

  * Initial release (LP: #649994)

 -- Luke Faraone <lfaraone@ubuntu.com>  Thu, 30 Sep 2010 10:48:50 -0400
