=== debian/control ===
Source: sugar-firefox-activity
Section: x11
Priority: optional
Maintainer: Ubuntu Sugarteam <ubuntu-sugarteam@lists.ubuntu.com>
XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 python-central,
 debhelper (>= 7.0.1),
 cdbs (>= 0.4.67~),
 python,
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.1
Homepage: http://wiki.laptop.org/go/Firefox
Vcs-Git: git://git.debian.org/collab-maint/sugar-firefox-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-firefox-activity.git

Package: sugar-firefox-activity
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Description: Mozilla Firefox browser for the Sugar desktop
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-resource desktop
 environment for kids.
 .
 This package contains the Firefox activity.
