=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://dev.laptop.org/git/users/cscott/firefox-activity \
/snapshot/Firefox-(.*)\.tar\.bz2
